package com.ejie.ab04b.report;

import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

/**
 * @author GFI-NORTE
 * 
 */
public class SdfXLSXReportView extends SdfAbstractPOIExcelView {

	/**
	 * Crea un nuevo libro.
	 * 
	 *  Workbook
	 *
	 * @return the workbook
	 */
	protected Workbook createWorkbook() {
		return new XSSFWorkbook();
	}

	/**
	 * Obtiene la extension del fichero.
	 * 
	 *  String
	 *
	 * @return the file extension
	 */
	protected String getFileExtension() {
		return ".xlsx";
	}
}
